/*
 * 文 件 名:  QueryChargingBill
 * 版    权:  浩鲸云计算科技股份有限公司
 * 描    述:  <描述>
 * 修 改 人:  lvwenbin
 * 修改时间:  2024/9/2
 * 跟踪单号:  <跟踪单号>
 * 修改单号:  <修改单号>
 * 修改内容:  <修改内容>
 */
package com.ruoyi.ems.domain.vo;

import com.ruoyi.common.core.utils.StringUtils;
import com.ruoyi.ems.domain.common.AreaTier;

/**
 * 查询账单请求
 * <功能详细描述>
 *
 * @author lvwenbin
 * @version [版本号, 2024/9/2]
 * @see [相关类/方法]
 * @since [产品/模块版本]
 */
public class QueryChargingBill {
    /**
     * 区域编码
     */
    private String areaPath;

    /**
     * 区域层级
     */
    private String tier;

    /**
     * 计量类型 45：电，70：水
     */
    private Integer meterCls;

    /**
     * 开始时间
     */
    private String startTime;

    /**
     * 结束时间
     */
    private String endTime;

    public String getAreaPath() {
        return areaPath;
    }

    public void setAreaPath(String areaPath) {
        this.areaPath = areaPath;
    }

    public String getTier() {
        return tier;
    }

    public void setTier(String tier) {
        this.tier = tier;
    }

    public Integer getMeterCls() {
        return meterCls;
    }

    public void setMeterCls(Integer meterCls) {
        this.meterCls = meterCls;
    }

    public String getStartTime() {
        return startTime;
    }

    public void setStartTime(String startTime) {
        this.startTime = startTime;
    }

    public String getEndTime() {
        return endTime;
    }

    public void setEndTime(String endTime) {
        this.endTime = endTime;
    }

    public String getAreaCode() {
        return StringUtils.split(areaPath, "/")[0];
    }

    public String getObjArea() {
        String[] pathArray = StringUtils.split(areaPath, "/");

        if (AreaTier.Area.name().equals(this.tier)) {
            return pathArray[0];
        }
        else if (AreaTier.Building.name().equals(this.tier)) {
            return pathArray[1];
        }
        else if (AreaTier.Zoning.name().equals(this.tier)) {
            return pathArray[2];
        }

        return null;
    }
}